Skip to main content
GET
Query Invoices

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

salesOrderNumber
string

Search for a specific sales order number.

externalOrderNumber
string

Search for a specific external order number.

invoiceNumber
string

Search for a specific invoice number.

itemId
integer<int32>
customerId
integer<int32>

Gets the unique identifier for the customer. Represents a unique key for identifying a customer in the JTL system.

IsExisting
boolean

Gets a value indicating whether the customer key represents an existing customer.

paymentStatus
enum<integer>

Search for a specific payment status. 0 = UnPayed, 1 = PartialPayed, 2 = Payed

Available options:
0,
1,
2
isExternalInvoice
boolean

Search only for external invoices

pageNumber
integer<int32>

Number of the page of items to fetch.

pageSize
integer<int32>

Size of the page that is specified by pageNumber.

Response

Returns all non-pending sales orders.

Represents a paginated list of items

TotalItems
integer<int32>
required

Gets or sets the total number of items available in the data source.

PageNumber
integer<int32>
required

Gets or sets the current page number in the paginated list.

PageSize
integer<int32>
required

Gets or sets the number of items per page in the paginated list.

Items
object[]
required

Gets or sets the collection of items contained in the paged list.

TotalPages
integer<int32>

Gets the total number of pages based on the total number of items and the page size.

HasPreviousPage
boolean

Gets a value indicating whether there is a previous page available in the paginated list.

HasNextPage
boolean

Gets a value indicating whether there is a next page available.

NextPageNumber
integer<int32>

Gets the number of the next page if there is one; otherwise, returns the total number of pages.

PreviousPageNumber
integer<int32>

Gets the number of the previous page. If there is no previous page, it returns 1.